%define pkgname bsddb3

Summary: Python interface for BerkeleyDB
Name: python-%{pkgname}
Version: 4.1.3
Release: 4mdk
Source0: %{pkgname}-%{version}.tar.bz2
License: BSD
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://pybsddb.sourceforge.net
BuildRequires: python-devel libdb-devel

%description
This module provides a nearly complete wrapping
of the Sleepycat C API for the Database
Environment, Database, Cursor, and Transaction
objects, and each of these is exposed as a Python
Type in the bsddb3.db module.  The databse objects
can use various access methods: btree, hash, recno,
and queue.  For the first time all of these are
fully supported in the Python wrappers.  Please see
the documents in the docs directory of the source
distribution or at the website for more details on
the types and methods provided.

%prep
%setup -n %{pkgname}-%{version} -q

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build --berkeley-db=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --berkeley-db=%{_prefix}  --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc *.txt docs/
%{_libdir}/python*/site-packages/*

%changelog
* Mon Aug 11 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 4.1.3-4mdk
- rebuild for new python
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 4.1.3-3mdk
- Fix my ugly upload (sorry Pascal)
- fix BuildRequires

* Sun May 11 2003 Frdric Crozat <fred@crozat.net> - 4.1.3-1mdk
- Initial Mdk package
